Benutzer-Werkzeuge

Webseiten-Werkzeuge


latex:latex-umgebung

Unterschiede

Hier werden die Unterschiede zwischen zwei Versionen angezeigt.

Link zu dieser Vergleichsansicht

Beide Seiten der vorigen Revision Vorhergehende Überarbeitung
latex:latex-umgebung [2017-02-20 15:17]
Torsten Richter + MiKTeX-Pakete aktualisieren; Fehler: YAP startet nicht mehr
latex:latex-umgebung [2017-10-20 11:09] (aktuell)
Torsten Richter # Java 8u151, Inverssuche-Fehler (Eclipse-Einstellung)
Zeile 29: Zeile 29:
 Voraussetzung für den Start von Eclipse ist eine installierte [[wpde>​Java-Laufzeitumgebung]] (JRE). Das Java-Browser-Plugin war in letzter Zeit wegen Sicherheitslücken öfters in den Schlagzeilen. Das Plugin kann in den Browsern (Firefox, Chrome, Opera, Internet Explorer, ...) deaktiviert werden, da es für Eclipse nicht notwendig ist. Voraussetzung für den Start von Eclipse ist eine installierte [[wpde>​Java-Laufzeitumgebung]] (JRE). Das Java-Browser-Plugin war in letzter Zeit wegen Sicherheitslücken öfters in den Schlagzeilen. Das Plugin kann in den Browsern (Firefox, Chrome, Opera, Internet Explorer, ...) deaktiviert werden, da es für Eclipse nicht notwendig ist.
   * Download: [[https://​www.java.com/​de/​download/​manual.jsp]]   * Download: [[https://​www.java.com/​de/​download/​manual.jsp]]
-  * Variante //Windows Offline (32 Bit)//, ca. 54 MB -> z.B. ''​jre-8u121-windows-i586.exe''​+  * Variante //Windows Offline (32 Bit)//, ca. 61 MB -> z.B. ''​jre-8u151-windows-i586.exe''​
  
 Eclipse4LaTeX ist in drei Downloads aufgeteilt: Eclipse4LaTeX ist in drei Downloads aufgeteilt:
Zeile 102: Zeile 102:
 ==== Java-Fehler bei Rückwärtssuche (Inverssuche) ==== ==== Java-Fehler bei Rückwärtssuche (Inverssuche) ====
 | Fehlermeldung:​ | "Java version has value '​1.8',​ but '​1.7'​ is required."​ | | Fehlermeldung:​ | "Java version has value '​1.8',​ but '​1.7'​ is required."​ |
-| Lösung: ​       | Im Ordner ''​C:​\Windows\System32''​ (32 Bit-Windows) oder ''​C:​\Windows\SysWOW64''​ (64 Bit-Windows) die Dateien ''​java.exe,​ javaw.exe''​ und ''​javaws.exe''​ löschen. Diese stammen noch von einer älteren Java-Installation. | +| Lösung: ​       | Im Ordner ''​C:​\Windows\System32''​ (32 Bit-Windows) oder ''​C:​\Windows\SysWOW64''​ (64 Bit-Windows) die Dateien ''​java.exe,​ javaw.exe''​ und ''​javaws.exe''​ löschen. Diese stammen noch von einer älteren Java-Installation.\\ Aufruf des Betrachters mit Unterstützung der Inverssuche nur mit ''​javaw.exe''​ ohne Pfad. Eclipse: //​Preferences \ Texlipse \ Viewer Settings -> Sumatra PDF -> Edit \ Viewer arguments// ​
-| Erklärung: ​    | Seit Java 8 wird der Pfad ''​c:​\ProgramData\Oracle\Java\javapath\''​ in die Umgebungsvariable PATH eingetragen. Dieser Ordner enthält symbolische Links zu jeder der drei Dateien, die auf das tatsächliche Java-Programmverzeichnis verweisen, z.B. ''​c:​\Program Files (x86)\Java\jre1.8.0_121\bin\java.exe''​ |+| Erklärung: ​    | Seit Java 8 wird der Pfad ''​c:​\ProgramData\Oracle\Java\javapath\''​ in die Umgebungsvariable PATH eingetragen. Dieser Ordner enthält symbolische Links zu jeder der drei Dateien, die auf das tatsächliche Java-Programmverzeichnis verweisen, z.B. ''​c:​\Program Files (x86)\Java\jre1.8.0_151\bin\java.exe''​ |
  
 ==== Der DVI-Betrachter YAP startet nicht mehr ==== ==== Der DVI-Betrachter YAP startet nicht mehr ====
latex/latex-umgebung.txt · Zuletzt geändert: 2017-10-20 11:09 von Torsten Richter